| Home | Libraries | People | FAQ | More

##### diagnostics::client_message

Gets the client-generated error message.

###### Synopsis

    string_view
    client_message() const;

###### Description

Contrary to `server_message`, the client message never contains any string data returned by the server, and is always ASCII-encoded. If you're using the static interface, it may contain C++ type identifiers, too.

###### Exception safety

No-throw guarantee.

###### Object lifetimes

The returned view is valid as long as `*this` is alive, hasn't been assigned-to or moved-from, and `clear` hasn't been called. Moving `*this` invalidates the view.